Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81710 - logging in at runlevel 5 skips most console.perms
Summary: logging in at runlevel 5 skips most console.perms
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-13 05:05 UTC by Martin Flack
Modified: 2015-01-08 00:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-13 05:10:35 UTC


Attachments (Terms of Use)

Description Martin Flack 2003-01-13 05:05:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
/etc/security/console.perms is programmed to differentiate between console and
xconsole logins, which means if you operate in runlevel 5 and login graphically
(as compared with logging in at a tty first and then running startx) device
files such as /dev/audio are not set to your user's ownership.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Login at gdm.
2. Try to play audio.

    

Actual Results:  Permission error.

Expected Results:  Audio playing.

Additional info:

[root@solvent security]# diff -u console.perms~ console.perms
--- console.perms~      2002-08-02 11:08:29.000000000 -0400
+++ console.perms       2003-01-12 23:53:16.000000000 -0500
@@ -70,3 +70,4 @@

 <xconsole> 0600 /dev/console 0600 root.root
 <xconsole> 0600 <dri>       0600 root
+<xconsole> 0600 <sound>      0600 root

Comment 1 Martin Flack 2003-01-13 05:10:35 UTC
Oops, I'm wrong, I didn't have pam_console.so in my /etc/pam.d/gdm file. It does
work.


Note You need to log in before you can comment on or make changes to this bug.